org.apache.jmeter.gui.util

## Class CheckBoxPanel

- java.lang.Object
- - org.apache.jmeter.gui.util.CheckBoxPanel

    public class CheckBoxPanel
    extends Object

Utility class to wrap a JCheckBox in a horizontal box. This limits the clickable area to the label only, and not the width of its container. See Bug 58810
Note: using a JPanel affects the alignment within the container

### Method Summary

All Methods Static Methods Concrete Methods
`static Box` `wrap(JCheckBox cb)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### wrap

    public static Box wrap(JCheckBox cb)